Skip to main content
PUT
/
v2.0
/
tasks
/
{taskId}
Update Task
curl --request PUT \
  --url https://api.lofty.com/v2.0/tasks/{taskId} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "content": "Send an email to my lead",
  "startAt": "2026-03-01T15:00:00-08:00",
  "endAt": "2026-03-01T16:00:00-08:00",
  "timeZoneCode": "America/Los_Angeles",
  "address": "123 Main St, Los Angeles, CA"
}
'
{
  "message": "Operation successful"
}

Documentation Index

Fetch the complete documentation index at: https://developer.lofty.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string
required

Bearer [access_token]

Content-Type
string
required

application/json

Path Parameters

taskId
integer<int64>
required

ID of the task or appointment to update.

Required range: x >= 1

Body

application/json

Partial update payload. Only non-null fields are applied.

content
string

Description of the task

Example:

"Send an email to my lead"

startAt
string

When this task/appointment should start. ISO8601 format in specified timezone, e.g., '2026-03-01T15:00:00-08:00'

Example:

"2026-03-01T15:00:00-08:00"

endAt
string

When this task/appointment should end. ISO8601 format in specified timezone, e.g., '2026-03-01T16:00:00-08:00'. For regular tasks, this represents the deadline

Example:

"2026-03-01T16:00:00-08:00"

timeZoneCode
string

Timezone code for this task/appointment

Example:

"America/Los_Angeles"

address
string

Address/location for appointment type tasks

Example:

"123 Main St, Los Angeles, CA"

Response

Task updated. Response body is a simple message envelope.

Generic message response

message
string

Result message

Example:

"Operation successful"